From 5212e0e0ce817988328c05d2cf9093ae58a8089a Mon Sep 17 00:00:00 2001
From: Kashyap Chamarthy <kchamart@redhat.com>
Date: Sat, 31 Mar 2018 13:23:45 +0200
Subject: [PATCH] virt-builder.pod: Update Fedora versions

This is just a mechanincal change, so that the public documentation[*]
refers to the latest release Fedora versions, instead of the EOLed
versions.

While at it, also update the `virt-cutomize` Makefile.am

[*] http://libguestfs.org/virt-builder.1.html

Signed-off-by: Kashyap Chamarthy <kchamart@redhat.com>
---
Maybe I missed more places.  (Me wonders if upstream libguestfs uses a
more systematic approach to do this "purge" of EOLed distributions from
the source, where applicable.)
---
 builder/virt-builder.pod | 54 ++++++++++++++++++++++++------------------------
 customize/Makefile.am    |  6 +++---
 2 files changed, 30 insertions(+), 30 deletions(-)

diff --git a/builder/virt-builder.pod b/builder/virt-builder.pod
index 1ed18a7c78a16cc601c1e247f398ea498d8b274c..c82a08b4d4e38684e5f30ee5b371b4d754705287 100644
--- a/builder/virt-builder.pod
+++ b/builder/virt-builder.pod
@@ -59,11 +59,11 @@ your own too (see below).
 After choosing a guest from the list, you may want to see if there
 are any installation notes:
 
- virt-builder --notes fedora-25
+ virt-builder --notes fedora-27
 
 =head2 Build a virtual machine
 
- virt-builder fedora-25
+ virt-builder fedora-27
 
 will build a Fedora 25 image for the same architecture as virt-builder
 (so running it from an i686 installation will try to build an i686
@@ -77,31 +77,31 @@ The first time this runs it has to download the template over the
 network, but this gets cached (see L</CACHING>).
 
 The name of the output file is derived from the template name, so
-above it will be F<fedora-25.img>.  You can change the output filename
+above it will be F<fedora-27.img>.  You can change the output filename
 using the I<-o> option:
 
- virt-builder fedora-25 -o mydisk.img
+ virt-builder fedora-27 -o mydisk.img
 
 You can also use the I<-o> option to write to existing devices or
 logical volumes.
 
- virt-builder fedora-25 --format qcow2
+ virt-builder fedora-27 --format qcow2
 
-As above, but write the output in qcow2 format to F<fedora-25.qcow2>.
+As above, but write the output in qcow2 format to F<fedora-27.qcow2>.
 
- virt-builder fedora-25 --size 20G
+ virt-builder fedora-27 --size 20G
 
 As above, but the output size will be 20 GB.  The guest OS is resized
 as it is copied to the output (automatically, using
 L<virt-resize(1)>).
 
- virt-builder fedora-25 --arch i686
+ virt-builder fedora-27 --arch i686
 
 As above, but using an i686 template, if available.
 
 =head2 Setting the root password
 
- virt-builder fedora-25 --root-password file:/tmp/rootpw
+ virt-builder fedora-27 --root-password file:/tmp/rootpw
 
 Create a Fedora 25 image.  The root password is taken from the file
 F</tmp/rootpw>.
@@ -113,7 +113,7 @@ You can also create user accounts.  See L</USERS AND PASSWORDS> below.
 
 =head2 Set the hostname
 
- virt-builder fedora-25 --hostname virt.example.com
+ virt-builder fedora-27 --hostname virt.example.com
 
 Set the hostname to C<virt.example.com>.
 
@@ -122,7 +122,7 @@ Set the hostname to C<virt.example.com>.
 To install packages from the ordinary (guest) software repository
 (eg. dnf or apt):
 
- virt-builder fedora-25 --install "inkscape,@Xfce Desktop"
+ virt-builder fedora-27 --install "inkscape,@Xfce Desktop"
 
 (In Fedora, C<@> is used to install groups of packages.  On Debian
 you would install a meta-package instead.)
@@ -135,7 +135,7 @@ For guests which use SELinux, like Fedora and Red Hat Enterprise
 Linux, you may need to do SELinux relabelling after installing or
 updating packages (see L</SELINUX> below):
 
- virt-builder fedora-25 --update --selinux-relabel
+ virt-builder fedora-27 --update --selinux-relabel
 
 =head2 Customizing the installation
 
@@ -153,18 +153,18 @@ For example:
  dnf -y --best update
  EOF
  
- virt-builder fedora-25 --firstboot /tmp/dnf-update.sh
+ virt-builder fedora-27 --firstboot /tmp/dnf-update.sh
 
 or simply:
 
- virt-builder fedora-25 --firstboot-command 'dnf -y --best update'
+ virt-builder fedora-27 --firstboot-command 'dnf -y --best update'
 
 which makes the L<dnf(8)> C<update> command run once the first time
 the guest boots.
 
 Or:
 
- virt-builder fedora-25 \
+ virt-builder fedora-27 \
    --edit '/etc/dnf/dnf.conf:
              s/gpgcheck=1/gpgcheck=0/'
 
@@ -557,7 +557,7 @@ If the guest OS you are installing is similar to the host OS (eg.
 both are Linux), and if libguestfs supports network connections, then
 you can use I<--install> to install packages like this:
 
- virt-builder fedora-25 --install inkscape
+ virt-builder fedora-27 --install inkscape
 
 This uses the guest’s package manager and the host’s network
 connection.
@@ -566,7 +566,7 @@ connection.
 
 To update the installed packages in the template at build time:
 
- virt-builder fedora-25 --update
+ virt-builder fedora-27 --update
 
 Most of the templates that ship with virt-builder come with a very
 minimal selection of packages (known as a "JEOS" or "Just Enough
@@ -578,7 +578,7 @@ OS from the template.  This option updates those template packages.
 
 Another option is to install the packages when the guest first boots:
 
- virt-builder fedora-25 --firstboot-install inkscape
+ virt-builder fedora-27 --firstboot-install inkscape
 
 This uses the guest’s package manager and the guest’s network
 connection.
@@ -626,7 +626,7 @@ For apt, create /tmp/install.sh containing:
 Use the I<--attach> option to attach the CD / disk image and the
 I<--run> option to run the script:
 
- virt-builder fedora-25 \
+ virt-builder fedora-27 \
    --attach extra-packages.iso \
    --run /tmp/install.sh
 
@@ -705,7 +705,7 @@ keyboard for some common Linux distributions.
 
 For distros that use systemd C<localectl>, use a command like this:
 
- virt-builder fedora-25 \
+ virt-builder fedora-27 \
    --firstboot-command 'localectl set-keymap uk'
 
 See L<localectl(1)> and
@@ -749,7 +749,7 @@ This section contains examples for some common Linux distributions.
 
 =head3 Setting Japanese in Fedora 25
 
- virt-builder fedora-25 \
+ virt-builder fedora-27 \
    --size 20G \
    --update \
    --install @japanese-support \
@@ -977,7 +977,7 @@ I<--import> option.
 
  virt-install --import \
    --name guest --ram 2048 \
-   --disk path=disk.img,format=raw --os-variant fedora25
+   --disk path=disk.img,format=raw --os-variant fedora27
 
 Notes:
 
@@ -1012,7 +1012,7 @@ tools probably work differently as well.
 
 Import the image into Glance (the OpenStack image store) by doing:
 
- glance image-create --name fedora-25-image --file fedora-25.img \
+ glance image-create --name fedora-27-image --file fedora-27.img \
    --disk-format raw --container-format bare \
    --is-public True
 
@@ -1022,12 +1022,12 @@ parameter should match virt-builder’s I<--format> option (or C<raw> if
 you didn't use that option).  The I<--container-format> should always
 be C<bare> since virt-builder doesn't put images into containers.
 
-You can use the S<C<glance image-show I<fedora-25-image>>> command to
+You can use the S<C<glance image-show I<fedora-27-image>>> command to
 display the properties of the image.
 
 To boot up an instance of your image on a Nova compute node, do:
 
- nova boot fedora-25-server --image fedora-25-image \
+ nova boot fedora-27-server --image fedora-27-image \
    --flavor m1.medium
 
 Use S<C<nova flavor-list>> to list possible machine flavors.  Use
@@ -1058,7 +1058,7 @@ at boot.
 
 A typical virt-builder command would be:
 
- virt-builder fedora-25 \
+ virt-builder fedora-27 \
    --hostname client.example.com \
    --update \
    --install puppet \
@@ -1583,7 +1583,7 @@ package manager at that.
 
 To install a Fedora guest using a local mirror:
 
- virt-builder fedora-25 \
+ virt-builder fedora-27 \
    --edit '/etc/yum.repos.d/fedora.repo:
        s{.*baseurl=.*}{baseurl=http://example.com/mirror/};
        s{.*metalink=.*}{};
diff --git a/customize/Makefile.am b/customize/Makefile.am
index 5fa176341a1666c1c16f34f24ae0892881756807..0d1d5aa6caff9bc458be2c1940c450b2512b4e4f 100644
--- a/customize/Makefile.am
+++ b/customize/Makefile.am
@@ -237,8 +237,8 @@ firstboot_test_scripts := \
 	test-firstboot-debian-6.sh \
 	test-firstboot-debian-7.sh \
 	test-firstboot-debian-8.sh \
-	test-firstboot-fedora-25.sh \
 	test-firstboot-fedora-26.sh \
+	test-firstboot-fedora-27.sh \
 	test-firstboot-ubuntu-10.04.sh \
 	test-firstboot-ubuntu-12.04.sh \
 	test-firstboot-ubuntu-14.04.sh \
@@ -258,7 +258,7 @@ password_test_scripts := \
 	test-password-debian-6.sh \
 	test-password-debian-7.sh \
 	test-password-debian-8.sh \
-	test-password-fedora-25.sh \
+	test-password-fedora-27.sh \
 	test-password-rhel-3.9.sh \
 	test-password-rhel-4.9.sh \
 	test-password-rhel-5.11.sh \
@@ -284,7 +284,7 @@ settings_test_scripts := \
 	test-settings-debian-6.sh \
 	test-settings-debian-7.sh \
 	test-settings-debian-8.sh \
-	test-settings-fedora-25.sh \
+	test-settings-fedora-27.sh \
 	test-settings-ubuntu-10.04.sh \
 	test-settings-ubuntu-12.04.sh \
 	test-settings-ubuntu-14.04.sh \
-- 
2.13.6

